Get startedSign in

Create agent run

POST/v1/api/ai/runs
Body parameters
Responses
ParameterTypeDescription
flow_idstringOptional flow ID to associate this agent run with
moderequiredstringMode of the agent run (analyze for read-only, write for modifications)
promptrequiredstringThe prompt to give to the agent describing the task to perform
repositoryrequiredstringThe git repository URL the agent will work on (https or ssh format)
runtime_idrequiredstringThe runtime ID to execute the agent run on
sharedbooleanWhether to share this agent run publicly
Response samples
200
{
  "branch": "string",
  "error": "string",
  "flow_id": "string",
  "id": "string",
  "inserted_at": "string",
  "language": "javascript",
  "language_version": "string",
  "mode": "analyze",
  "prompt": "string",
  "repository": "string",
  "runtime_id": "string",
  "shared": false,
  "status": "pending",
  "updated_at": "string",
  "user_id": "string"
}